package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 组织类型: 0 普通用户  1、园区用户 2 区文创办 3市文创办  8后台管理
 */
public enum OrganizeTypeEnum {
    ORGANIZE_ORDINARY(0, "普通用户"),
    ORGANIZE_PARK(1, "园区用户"),
    ORGANIZE_DISTRICT(2, "区文创办"),
    ORGANIZE_CITY(3, "市文创办"),
    ORGANIZE_MANAGE(8, "公司"),
    ;
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (OrganizeTypeEnum organizeTypeEnum : OrganizeTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }

        return null;
    }
}
