package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ServiceFileDirEnum {
    //0 banner 1 动态新闻 2活动 3专项资金 4政策导航 5 其他
    SERVICE_FILE_DIR_PUBLIC_BANNER(101, "banner"),
    //信息发布文件
    SERVICE_FILE_DIR_PUBLIC_NOTICE(102, "notice"),
    //信息发布文件
    SERVICE_FILE_DIR_PUBLIC_DYNAMIC(103, "dynamic"),
    //区划信息
    SERVICE_FILE_DIR_PUBLIC_DIVISION(104, "division"),
    //园区信息
    SERVICE_FILE_DIR_PUBLIC_PARK(105, "park"),

    //文创金融
    SERVICE_FILE_DIR_PUBLIC_FINANCIAL(106, "financial"),

    //品牌活动
    SERVICE_FILE_DIR_PUBLIC_ACTIVITY(107, "activity"),

    //政策导航
    SERVICE_FILE_DIR_POLICY(108, "policy "),

    //专项资金
    SERVICE_FILE_DIR_SUPPORT(110, "support"),
    //其他
    SERVICE_FILE_DIR_OTHER(999, "other");



    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (ServiceFileDirEnum boundTypeEnum : ServiceFileDirEnum.values()) {
            if (boundTypeEnum.code == code) {
                return boundTypeEnum.name;
            }
        }
        return null;
    }
}
