package com.xdf.creative.enums;

/**
 * 命名表名+功能
 * <p>
 * 六位代码   1、admin后台管理  2、文促会官网 3、业务服务bus 4、投融资 5、
 * 末位已数据库表排序
 */

public enum StatusCode {
    //修改数据 传入主键查不到数据
    FORM_SUBMIT_UPDATE_VERIFY(000001, "当前数据不存在或已删除，请刷新后再试！"),
    //修改数据未传主键id
    FORM_SUBMIT_ID_VERIFY(000002, "未知数据标识，请重新选择！"),
    FORM_SUBMIT_DELETE_VERIFY(000007, "数据删除失败！"),
    AUTH_UPDATE_VERIFY_ERROR(000003, "存在非法访问，请刷新后再试！"),
    FORM_AUDIT_STATE_VERIFY(000004, "只能操作待审核的数据！"),
    FORM_AUDIT_BACK_IDEA_VERIFY(000010,"退回意见不能为空！"),
    FORM_UPDATE_STATE_VERIFY(000005, "只能操作草稿状态的数据！"),
    FORM_AUDIT_FINAL_AUDIT_PASS_VERIFY(000011,"只能操作终审通过的信息！"),
    FORM_INFO_CONTENT_SORT_VERIFY(000012,"请输入排序号！"),
    FORM_INFO_CONTENT_DELETE_VERIFY(000013,"存在信息非法删除！"),

    FORM_AUTH_UPDATE_VERIFY_ERROR(000006, "存在非法更新！"),
    SMS_SEND_VERIFICATION_CODE_SUCCESS(20000, "短信发送成功"),
    SMS_SEND_VERIFICATION_CODE_FAIL(20001, "短信发送失败"),
    SMS_MESSAGE_VERIFICATION_CODE_VERIFY(20002, "验证码已过期!"),
    SMS_MESSAGE_VERIFICATION_CODE_ERROR(20003, "验证码错误！"),
    WEB_MANAGE_PUBLIC_DETAIL_BODY_NULL(200003001, "正文内容不能为空！"),


    SYS_ROLE_EXIST(100001,"角色标识已存在！"),
    SYS_USER_ROLE_EXIST(100002,"该角色下还存在可用用户，不能删除！"),
    SYS_USER_ROLE_DELETE(100003,"删除角色失败！"),
    SYS_ROLE_PERMISSION_DELETE(100004,"删除角色权限关系失败!"),
    SYS_ROLE_EXIST_NO(100005,"该角色不存在！"),
    SYS_ROLE_PERMISSION_EXIST(100006,"未发现有效得URL！"),

    SYS_USER_NAME_EXIST(101001,"当前用户名已存在！"),
    SYS_USER_ROLE_VERIFY_EXIST(101002,"用户所选角色不存在！"),
    SYS_USER_HEARD_FAIL(101003,"用户头像修改失败！"),
    SYS_USER_PASSWORD_FAIL(101004,"用户密码修改失败！"),
    SYS_USER_NAME_STATE_EXIST(101005,"只能删除停用的用户！"),

    WEB_FILE_DIR_PATH_NULL(200004001, "文件上传目录不能为空！"),
    WEB_FILE_DIR_PATH_TYPE_ILLEGAL(200004002, "文件目录类型非法！"),
    WEB_FILE_DIR_PATH_CREATE_ERROR(200004003, "文件目录创建失败！"),
    FILE_CL_UPLOAD_FAILED(700102,"文件上传失败，系统未知异常！"),
    WEB_FILE_UPLOAD_FAILED(200004004, "系统仅支持后缀为.pdf、.doc、.docx、.xls、.xlsx、.ppt、.pptx、.png、.jpg、.txt文件上传！");



    private int status;
    private String msg;

    StatusCode(int status, String msg) {
        this.status = status;
        this.msg = msg;
    }

    public boolean isSuccess() {
        return getStatus() == 10000;
    }

    public int getStatus() {
        return status;
    }

    public String getCode() {
        return name();
    }

    public String getMsg() {
        return String.format(msg, "");
    }

    public String getMsg(Object... format) {
        if (format == null) {
            return getMsg();
        }
        return String.format(msg, format);
    }
}
