package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoContentBackSearchQueryParam;
import com.xdf.creative.base.params.creative.InfoContentHomePageQueryParam;
import com.xdf.creative.base.params.creative.InfoContentQueryParam;
import com.xdf.creative.base.params.creative.InfoContentWebSearchQueryParam;
import com.xdf.creative.base.vo.creative.*;
import com.xdf.creative.module.entity.InfoContent;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 信息内容 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Repository
public interface InfoContentMapper extends BaseMapper<InfoContent> {

    /**
     * 首页显示新闻
     *
     * @param infoContentHomePageQueryParam
     * @return
     */
    List<InfoContentHomePageQueryVo> getHomePageInfo(@Param("param") InfoContentHomePageQueryParam infoContentHomePageQueryParam);

    /**
     * 首页新闻搜索
     */
    IPage<InfoContentWebSearchQueryVo> getSearchWebInfo(@Param("page") Page page, @Param("param") InfoContentWebSearchQueryParam infoContentWebSearchQueryParam);


    /**
     * 后台发布列表
     */
    IPage<InfoContentBackSearchQueryVo> getInfoContentByAdd(@Param("page") Page page, @Param("param") InfoContentBackSearchQueryParam infoContentBackSearchQueryParam);

    /**
     * 后台初审列表
     */
    IPage<InfoContentBackSearchQueryVo> getInfoContentByFirstAudit(@Param("page") Page page, @Param("param") InfoContentBackSearchQueryParam infoContentBackSearchQueryParam);


    /**
     * 后台终审列表
     */
    IPage<InfoContentBackSearchQueryVo> getInfoContentByFinalAudit(@Param("page") Page page, @Param("param") InfoContentBackSearchQueryParam infoContentBackSearchQueryParam);

    /**
     * 后台终审列表
     */
    IPage<InfoContentRecycleSearchQueryVo> getInfoContentByRecycle(@Param("page") Page page, @Param("param") InfoContentBackSearchQueryParam infoContentBackSearchQueryParam);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoContentQueryVo getInfoContentById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoContentQueryParam
     * @return
     */
    IPage<InfoContentQueryVo> getInfoContentPageList(@Param("page") Page page, @Param("param") InfoContentQueryParam infoContentQueryParam);

}
