package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.IsEnableSysOrganizeParam;
import com.xdf.creative.base.params.creative.SysOrganizeQueryParam;
import com.xdf.creative.base.vo.creative.SysOrganizeQueryVo;
import com.xdf.creative.module.entity.SysOrganize;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * 组织信息 Mapper 接口
 */
@Repository
public interface SysOrganizeMapper extends BaseMapper<SysOrganize> {

    /**
     * 根据用户id
     *
     * @param userId
     * @return
     */
    SysOrganizeQueryVo getSysOrganizeByUserId(Long userId);

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOrganizeQueryVo getSysOrganizeById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysOrganizeQueryParam
     * @return
     */
    IPage<SysOrganizeQueryVo> getSysOrganizePageList(@Param("page") Page page, @Param("param") SysOrganizeQueryParam sysOrganizeQueryParam);


    /**
     * 检查当前用户组织是否可用
     *
     * @param isEnableSysOrganizeParam
     * @return
     * @throws Exception
     */
    Integer isEnableSysOrganize(IsEnableSysOrganizeParam isEnableSysOrganizeParam) throws Exception;

}
