package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysRegionQueryParam;
import com.xdf.creative.base.vo.creative.SysRegionQueryVo;
import com.xdf.creative.module.entity.SysRegion;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 全国行政区域[sys_region] Mapper 接口
 * </p>
 *
 * @author DeanYe
 * @since 2019-11-06
 */
@Repository
public interface SysRegionMapper extends BaseMapper<SysRegion> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysRegionQueryVo getSysRegionById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysRegionQueryParam
     * @return
     */
    IPage<SysRegionQueryVo> getSysRegionPageList(@Param("page") Page page, @Param("param") SysRegionQueryParam sysRegionQueryParam);

    /**
     * 不分页查询
     *
     * @param sysRegionQueryParam
     * @return
     */
    List<SysRegionQueryVo> getSysRegionList(@Param("param") SysRegionQueryParam sysRegionQueryParam);

}
