package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.IsEnableSysOrganizeParam;
import com.xdf.creative.base.params.creative.SysOrganizeQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysOrganizeQueryVo;
import com.xdf.creative.module.entity.SysOrganize;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 组织信息 服务类
 * </p>
 *
 * @author DeanYe
 * @since 2019-11-05
 */
public interface SysOrganizeService extends BaseService<SysOrganize> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOrganizeQueryVo getSysOrganizeById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysOrganizeQueryParam
     * @return
     */
    PageTool<SysOrganizeQueryVo> getSysOrganizePageList(SysOrganizeQueryParam sysOrganizeQueryParam) throws Exception;

    /**
     * 检查组织是否可用
     *
     * @return
     * @throws Exception
     */
    boolean isEnableSysOrganize(IsEnableSysOrganizeParam isEnableSysOrganizeParam) throws Exception;
}
