package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.IsEnableSysOrganizeParam;
import com.xdf.creative.base.params.creative.SysOrganizeQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.SysOrganizeQueryVo;
import com.xdf.creative.module.entity.SysOrganize;
import com.xdf.creative.module.mapper.SysOrganizeMapper;
import com.xdf.creative.module.mapper.SysRegionMapper;
import com.xdf.creative.module.service.SysOrganizeService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 组织信息 服务实现类
 * </p>
 *
 * @author DeanYe
 * @since 2019-11-05
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class SysOrganizeServiceImpl extends BaseServiceImpl<SysOrganizeMapper, SysOrganize> implements SysOrganizeService {

    @Autowired
    private SysOrganizeMapper sysOrganizeMapper;
    @Autowired
    private SysRegionMapper sysRegionMapper;


    @Override
    public SysOrganizeQueryVo getSysOrganizeById(Serializable id) throws Exception {
        return sysOrganizeMapper.getSysOrganizeById(id);
    }

    @Override
    public PageTool<SysOrganizeQueryVo> getSysOrganizePageList(SysOrganizeQueryParam sysOrganizeQueryParam) throws Exception {
        Page page = setPageParam(sysOrganizeQueryParam);
        IPage<SysOrganizeQueryVo> iPage = sysOrganizeMapper.getSysOrganizePageList(page, sysOrganizeQueryParam);
        return new PageTool(iPage);
    }


    @Override
    public boolean isEnableSysOrganize(IsEnableSysOrganizeParam isEnableSysOrganizeParam) throws Exception {
        Integer count = sysOrganizeMapper.isEnableSysOrganize(isEnableSysOrganizeParam);
        return count > 0;
    }


}
