package com.xdf.creative.shiro.filter;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;

/**
 * @author : lgw
 * @date : 11:07 2020/3/5
 */
@Configuration
public class InterceptorConfiguration implements WebMvcConfigurer {
    @Value("${auth_skip_urls}")
    private List<String> skipAuthUrls;
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //注册TestInterceptor拦截器
        InterceptorRegistration registration = registry.addInterceptor(new ConfigPathInterceptor());
        registration.addPathPatterns("/**");                      //所有路径都被拦截
        registration.excludePathPatterns(                         //添加不拦截路径
                skipAuthUrls
        );
    }
}
